Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515139 - Anaconda Customization Guide doesn't include any description about .buildstamp file
Summary: Anaconda Customization Guide doesn't include any description about .buildstam...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Anaconda_Customization_Guide
Version: 7.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Vladimír Slávik
QA Contact:
Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 08:46 UTC by Masahiro Matsuya
Modified: 2019-03-06 00:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-15 16:02:40 UTC


Attachments (Terms of Use)

Description Masahiro Matsuya 2017-11-20 08:46:09 UTC
Description of problem:
Anaconda Customization Guide doesn't include any description about buildstamp.
But, it's needed to create .buildstamp file to specify the product name.
The file should be located into the root directory in product.img.

Related url for documentation:

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/anaconda_customization_guide/index#sect-product-img

2.2. Creating a product.img File

Please add the step to create .buildstamp.

For referenece, the following is the default .buildstamp for RHEL7.4.

$ cat .buildstamp 
[Main]
Product=Red Hat Enterprise Linux
Version=7.4
BugURL=your distribution provided bug reporting tool
IsFinal=True
UUID=201707110057.x86_64
[Compose]
Lorax=19.6.92-1

And, the following is also just for reference:

It's parsed by pyanaconda/product.py, and the specified product name in .buildstamp can be picked up.


In pyanaconda/product.py:
# First, load in the defaults.  In order of precedence:  contents of
# .buildstamp, environment, stupid last ditch hardcoded defaults.
config = ConfigParser.ConfigParser()
config.add_section("Main")
config.set("Main", "Arch", os.environ.get("ANACONDA_PRODUCTARCH", os.uname()[4]))
config.set("Main", "BugURL", os.environ.get("ANACONDA_BUGURL", "your distribution provided bug reporting tool"))
config.set("Main", "IsFinal", os.environ.get("ANACONDA_ISFINAL", "false"))
config.set("Main", "Product", os.environ.get("ANACONDA_PRODUCTNAME", "anaconda"))
config.set("Main", "UUID", "")
config.set("Main", "Version", os.environ.get("ANACONDA_PRODUCTVERSION", "bluesky"))


Note You need to log in before you can comment on or make changes to this bug.